# ShippingQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.payments / ShippingQuery

# ShippingQuery

(common) `data class ShippingQuery` (source)

### Constructors

(common)

#### <init>

`ShippingQuery(id: ShippingQueryIdentifier, user: User, invoicePayload: InvoicePayload, shippingAddress: ShippingAddress)`

### Properties

(common)

#### id

`val id: ShippingQueryIdentifier`

(common)

#### invoicePayload

`val invoicePayload: InvoicePayload`

(common)

#### shippingAddress

`val shippingAddress: ShippingAddress`

(common)

#### user

`val user: User`

### Extension Functions

(common)

#### createAnswerError

`fun ShippingQuery.createAnswerError(error: String): AnswerShippingQueryError`

(common)

#### createAnswerOk

`fun ShippingQuery.createAnswerOk(shippingOptions: List<ShippingOption>): AnswerShippingQueryOk`